## ide-source-snippet-completion-item

ide-source-snippet-completion-item

## Functions

GtkSourceCompletionProposal * | ide_source_snippet_completion_item_new ()
IdeSourceSnippet * | ide_source_snippet_completion_item_get_snippet ()
void | ide_source_snippet_completion_item_set_snippet ()

## Types and Values

#define | IDE_TYPE_SOURCE_SNIPPET_COMPLETION_ITEM
| IdeSourceSnippetCompletionItem

## Description

## Functions

### ide_source_snippet_completion_item_new ()

    GtkSourceCompletionProposal *
    ide_source_snippet_completion_item_new
                                   (IdeSourceSnippet *snippet);

### ide_source_snippet_completion_item_get_snippet ()

    IdeSourceSnippet *
    ide_source_snippet_completion_item_get_snippet
                                   (IdeSourceSnippetCompletionItem *item);

### ide_source_snippet_completion_item_set_snippet ()

    void
    ide_source_snippet_completion_item_set_snippet
                                   (IdeSourceSnippetCompletionItem *item,
                                    IdeSourceSnippet *snippet);

## Types and Values

### IDE_TYPE_SOURCE_SNIPPET_COMPLETION_ITEM

    #define IDE_TYPE_SOURCE_SNIPPET_COMPLETION_ITEM (ide_source_snippet_completion_item_get_type())

### IdeSourceSnippetCompletionItem

    typedef struct _IdeSourceSnippetCompletionItem IdeSourceSnippetCompletionItem;